Bug 987276 - [abrt] arandr- xrandr.py:108:_load_from_commandlineargs:FileLoadError: Not a known mode: 1280x1024_60.00
[abrt] arandr- xrandr.py:108:_load_from_commandlineargs:FileLo...
Product: Fedora
Classification: Fedora
Component: arandr (Show other bugs)
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Maros Zatko
Fedora Extras Quality Assurance
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2013-07-23 02:55 EDT by Oren Oichman
Modified: 2015-01-01 04:37 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-01-01 04:36:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
File: backtrace (2.19 KB, text/plain)
2013-07-23 02:55 EDT, Oren Oichman
no flags Details
File: core_backtrace (589 bytes, text/plain)
2013-07-23 02:55 EDT, Oren Oichman
no flags Details
File: environ (1.81 KB, text/plain)
2013-07-23 02:55 EDT, Oren Oichman
no flags Details

  None (edit)
Description Oren Oichman 2013-07-23 02:55:22 EDT
Version-Release number of selected component:

Additional info:
reporter:       libreport-2.1.5
cmdline:        /usr/bin/python /usr/bin/arandr
executable:     /usr/bin/arandr
kernel:         3.9.10-200.fc18.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
xrandr.py:108:_load_from_commandlineargs:FileLoadError: Not a known mode: 1280x1024_60.00

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/screenlayout/gui.py", line 64, in wrapper
    return function(*args_out)
  File "/usr/lib/python2.7/site-packages/screenlayout/gui.py", line 235, in do_open
    self.filetemplate = self.widget.load_from_file(f)
  File "/usr/lib/python2.7/site-packages/screenlayout/widget.py", line 88, in load_from_file
    template = self._xrandr.load_from_string(data)
  File "/usr/lib/python2.7/site-packages/screenlayout/xrandr.py", line 79, in load_from_string
  File "/usr/lib/python2.7/site-packages/screenlayout/xrandr.py", line 108, in _load_from_commandlineargs
    raise FileLoadError("Not a known mode: %s"%p[1])
FileLoadError: Not a known mode: 1280x1024_60.00

Local variables in innermost frame:
on: 'VGA1'
i: 2
commandline: 'xrandr --output DP3 --off --output DP2 --off --output DP1 --off --output HDMI3 --off --output HDMI2 --mode 1440x900 --pos 1280x56 --rotate normal --output HDMI1 --off --output LVDS1 --off --output VGA1 --mode 1280x1024_60.00 --pos 0x0 --rotate normal'
args: ['--output', 'DP3', '--off', '--output', 'DP2', '--off', '--output', 'DP1', '--off', '--output', 'HDMI3', '--off', '--output', 'HDMI2', '--mode', '1440x900', '--pos', '1280x56', '--rotate', 'normal', '--output', 'HDMI1', '--off', '--output', 'LVDS1', '--off', '--output', 'VGA1', '--mode', '1280x1024_60.00', '--pos', '0x0', '--rotate', 'normal']
o: <screenlayout.xrandr.OutputConfiguration object at 0x2435790>
self: <screenlayout.xrandr.XRandR object at 0x2435310>
p: ('--mode', '1280x1024_60.00')
parts: [('--mode', '1280x1024_60.00'), ('--pos', '0x0'), ('--rotate', 'normal')]
oa: ['--mode', '1280x1024_60.00', '--pos', '0x0', '--rotate', 'normal']
os: <Output 'VGA1' (4 modes)>
options: {'DP3': ['--off'], 'DP2': ['--off'], 'DP1': ['--off'], 'HDMI3': ['--off'], 'HDMI2': ['--mode', '1440x900', '--pos', '1280x56', '--rotate', 'normal'], 'HDMI1': ['--off'], 'LVDS1': ['--off'], 'VGA1': ['--mode', '1280x1024_60.00', '--pos', '0x0', '--rotate', 'normal']}
namedmode: <screenlayout.auxiliary.NamedSize object at 0x24355d0>
Comment 1 Oren Oichman 2013-07-23 02:55:29 EDT
Created attachment 777182 [details]
File: backtrace
Comment 2 Oren Oichman 2013-07-23 02:55:32 EDT
Created attachment 777183 [details]
File: core_backtrace
Comment 3 Oren Oichman 2013-07-23 02:55:43 EDT
Created attachment 777184 [details]
File: environ
Comment 4 Fedora End Of Life 2013-12-21 09:22:31 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2014-02-05 17:10:25 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 6 Oren Oichman 2015-01-01 04:36:33 EST
the issue did not reproduce at Fedora 20

Note You need to log in before you can comment on or make changes to this bug.